This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 198838 - kernel-xenU newer than build 2111 lockup when IBM java 1.4.2 executed
kernel-xenU newer than build 2111 lockup when IBM java 1.4.2 executed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-13 19:00 EDT by Christopher Johnson
Modified: 2009-12-14 15:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:12:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Johnson 2006-07-13 19:00:00 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Upgrade to kernel newer than 2111 in xen guest and boot on it.
2. Build and install IBM 1.4.2 java from source tgz and jpackage nosrc for it.
3. java -version
  
Actual results:
Xen guest hangs with this console display:
BUG: soft lockup detected on CPU#0!
 <c0439e1e> softlockup_tick+0x9f/0xb4  <c04086e2> timer_interrupt+0x4fc/0x542
 <c0439ed9> handle_IRQ_event+0x42/0x85  <c0439fa9> __do_IRQ+0x8d/0xdc
 <c040662a> do_IRQ+0x1a/0x25  <c0518f4c> evtchn_do_upcall+0x66/0x9f
 <c0404d49> hypervisor_callback+0x3d/0x48  <c042007b> ptrace_attach+0xf/0x109
 <c043007b> percpu_modinit+0x29/0x62  <c040524f> check_lazy_exec_limit+0x1ef/0x200
 <c0406261> do_general_protection+0x1e/0x12e  <c0404d49>
hypervisor_callback+0x3d/0x48
 <c0406243> do_general_protection+0x0/0x12e  <c0404d07> error_code+0x2b/0x30
 <c0404dce> failsafe_callback+0xe/0x40  <c0410758> write_ldt_entry+0xbc/0xc3
 <c0408ca7> write_ldt+0x18d/0x1af  <c0404b77> syscall_call+0x7/0xb

Expected results:
Command returns normally, or fails if appropriate, but xen guest does not hang.

Additional info:
strace of the java command ends in:
open("/usr/lib/jvm/java-1.4.2-ibm-1.4.2.3/jre/bin/libjitc.so", O_RDONLY) = 18
read(18, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\240~\1"..., 512) =
512fstat64(18, {st_mode=S_IFREG|0755, st_size=6782439, ...}) = 0
mmap2(NULL, 3890288, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 18, 0) =
0xb62d4000
mmap2(0xb6529000, 57344, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 18, 0x254) = 0xb6529000
mmap2(0xb6537000, 1387632, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb6537000
close(18)                               = 0
mprotect(0xb62d4000, 2445312, PROT_READ|PROT_WRITE) = 0
mprotect(0xb62d4000, 2445312, PROT_READ|PROT_EXEC) = 0
open("/proc/stat", O_RDONLY)            = 18
fstat64(18, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb6a92000
read(18, "cpu  2709 0 576 118395 1305 4 0 "..., 1024) = 1024
read(18, "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 "..., 1024) = 171

This is a problem on:
kernel-xenU-2.6.17-1.2157_FC5 (test)
kernel-xenU-2.6.17-1.2145_FC5 (updates)
kernel-xenU-2.6.17-1.2139_FC5 (updates)
kernel-xenU-2.6.16-1.2133_FC5 (updates)
kernel-xenU-2.6.16-1.2122_FC5 (updates)

Boot on kernel-xenU-2.6.16-1.2111_FC5 with no other changes and the lockup does
not occur.

The IBM java was built from:
java-1.4.2-ibm-1.4.2.3-1jpp.nosrc.rpm
IBMJava2-SDK-142.tgz
Comment 1 Stephen Tweedie 2007-03-16 11:05:56 EDT
Is this still reproducible on the latest stable release+updates?  Thanks.
Comment 2 Red Hat Bugzilla 2007-07-24 21:32:00 EDT
change QA contact
Comment 3 Chris Lalancette 2008-02-26 18:12:50 EST
This report targets FC5, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.